Device Manager

You can use Device Manager to update the drivers (or software) for hardware devices, modify hardware settings, and troubleshoot problems.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to

Microsoft Windows graphic

How to...

  • View device information
  • Configure device properties and settings
  • Uninstall and reinstall devices
  • Update and view device drivers


View device information

  • View devices and resource settings
  • View the status of a device
  • View power allocations for USB hubs
  • View bandwidth allocations for a USB host controller
  • Print information about a specific device


View devices and resource settings

To view devices and resource settings

  1. Open Device Manager.
  2. On the View menu, click one of the following:
    Option | Description
    Devices by type | Displays devices by the type of device installed, such as Monitor or Mouse. The connection name is listed below the type. This is the default view.
    Devices by connection | Displays devices by how they are connected in your computer. Each device is listed under the hardware to which it is connected. For example, if a small computer system interface (SCSI) card is listed, the devices attached to the SCSI card will be listed beneath it.
    Resources by type | Displays the status of all allocated resources by the type of device using these resources. The resources are: direct memory access (DMA) channels, input/output ports (I/O ports), interrupt request (IRQ), and memory addresses.
    Resources by connection | Displays the status of all allocated resources by connection type. The resources are: DMA channels, I/O ports, IRQ, and memory addresses.

Notes

  • XOX
  • To include hidden devices, on the View menu, click Show hidden devices. If the check box next to Show hidden devices is selected, hidden devices are showing. Click it again if you want to clear the check box. Hidden devices include non-Plug and Play devices (devices with earlier Windows device drivers).

Related Topics


View the status of a device

To view the status of a device

  1. Open Device Manager.
  2. Double-click the type of device you want to view.
  3. Right-click the specific device you want, and then click Properties.
  4. On the General tab, under Device status is a description of the device status.

Notes

  • XOX
  • If the device is experiencing a problem, the type of problem is displayed. You might also see a problem code and number and a suggested solution. If you call a support line, this number can be useful for determining and diagnosing the problem.
  • For information on how to resolve hardware device problems, click Troubleshoot to start the Hardware Troubleshooter.


View power allocations for USB hubs

To view power allocations for USB hubs

  1. Open Device Manager.
  2. Double-click Universal serial bus controller.
  3. Right-click USB Root Hub, and then click Properties.
  4. On the Power tab, view the power required by each device in the Attached devices list.

Notes

  • XOX
  • Hubs for universal serial bus (USB) devices are self-powered or bus-powered. A self-powered hub (a hub that is plugged into an electrical outlet) provides maximum power to the device. A bus-powered hub (a hub that is plugged into another USB port) provides minimum power. Devices requiring a lot of power, such as cameras, should be plugged into self-powered hubs.
  • Checking the power allocations for a USB hub allows you to detect situations where too many devices are using the hub.
  • Universal serial bus controller only appears if you have a USB port on your computer.
  • The Power tab only appears for USB hubs.


View bandwidth allocations for a USB host controller

To view bandwidth allocations for a USB host controller

  1. Open Device Manager.
  2. Double-click Universal serial bus controller.
  3. Right-click a USB Universal Host Controller for your system, and then click Properties.
  4. On the Advanced tab, in the Bandwidth-consuming devices list, view the bandwidth used by each device.

Notes

  • XOX
  • You can only view bandwidth for a universal serial bus (USB) controller. Some USB devices (for example, modems) might not appear because they are considered bulk items and do not report any bandwidth requirements to the operating system.
  • Each USB controller has a fixed amount of bandwidth that all attached devices must share. If you suspect a bandwidth shortage for a USB controller, you can confirm this by viewing the bandwidth allocations currently being used by each device.
  • Universal serial bus controller appears only if you have a USB port on your computer.


Print information about a specific device

To print information about a specific device

  1. Open Device Manager.
  2. Double-click the type of device you want to print information about, and then click the specific device to select it.
  3. On the Action menu, click Print.
  4. In the Print dialog box, under Report type, click Selected class or device.

    You can also print other types of reports from this dialog box. The following table describes the types of reports you can print:

    5. Option | Description
System summary | Prints a summary of the devices that are installed on your computer or on the remote computer you are managing. The summary includes the product version number, bus type, registered owner, and resource information, such as interrupt request (IRQ) usage or input/output (I/O) port usage.
Selected class or device | Prints a report for the device or the hardware type you have selected. The report includes device name, device driver location, version and manufacturer information, and resources allocated to the device, such as I/O ports and memory addresses.
All devices and system summary | Prints a report for each device or hardware type that is installed on your computer and a summary of your system. If you have many devices installed on your system, this could be a large document.

Notes

  • XOX
  • You can print to a .prn file by selecting the Print to file check box.
  • Selected class or device is the default setting for the type of report to be printed.


Configure device properties and settings

  • Enable a device
  • Disable a device
  • Change resource settings for a device
  • Change network adapter settings
  • Change port settings
  • Change PS/2 mouse settings
  • Change IDE controller settings
  • Change region settings for DVD drives
  • Change ISDN adapter settings
  • Change power management settings for a device
  • Enable or disable digital CD audio
  • Configure multimedia devices
  • Upgrade from a uniprocessor to a multiprocessor computer


Enable a device

To enable a device

  1. Open Device Manager.
  2. Double-click the type of device that you want to enable.
  3. Right-click the specific device you want, and then click Enable.

Notes

  • XOX
  • XOX
  • Enable will only be listed if the device is disabled.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Disable a device

To disable a device

  1. Open Device Manager.
  2. Double-click the type of device that you want to disable.
  3. Right-click the specific device you want, and then click Disable.

Important

  • If you disable a device that is required to start the system, such as your floppy disk drive or DVD/CD-ROM drive, these devices will not work, and your system might not start.

Notes

  • XOX
  • XOX
  • When you disable a device, the physical device stays connected to your computer. The drivers are available again when you enable the device. It can be useful to disable devices if you want to have more than one hardware configuration for your computer, or if you have a portable computer that you use at a docking station.
  • After you disable a device and restart your computer (if necessary), the resources allocated to the device are free and can be allocated to another device.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.
  • Some devices cannot be disabled.


Change resource settings for a device

To change resource settings for a device

  1. Open Device Manager.
  2. Double-click the type of device you want to change.
  3. Double-click the specific device you want to change. If the device has resources settings that you can change, the Resources tab will appear in the dialog box.
  4. Click the Resources tab, and then clear the Use automatic settings check box. This check box might be unavailable if you have selected a non-Plug and Play device.
  5. In Setting based on, click the hardware configuration you want to change.
  6. In Resource settings, under Resource type, click the resource type you want to change: direct memory access (DMA), interrupt request (IRQ), input/output (I/O) port, or memory address.
  7. Click Change Setting, and then type a new value for the resource type.
  8. Repeat as necessary.

Warning

  • Changing resource settings improperly can disable your hardware and cause your computer to malfunction or become inoperable. Resource settings should be changed only by users who have expert knowledge of computer hardware and hardware configuration settings.

Important

  • You must be certain that the new values you apply do not conflict with any other devices. Device conflicts, if any, are listed under Conflicting device list.
  • Use automatic settings is unavailable on devices where there are no other settings to configure, and on devices that are controlled by Plug and Play resources and should not be changed by the user.

Notes

  • XOX
  • XOX
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.
  • Usually, it will not be necessary for you to change resource settings because resources are automatically allocated by the system when the hardware is installed.


Change network adapter settings

To change network adapter settings

  1. Open Device Manager.
  2. Double-click Network adapters.
  3. Right-click the network adapter for which you want to change settings, and then click Properties.
  4. On the Advanced tab, make the desired changes.

Notes

  • XOX
  • XOX
  • Device properties for network adapters are device dependent. Read the device manufacturer's instruction manual to determine which settings you need to change.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change port settings

To change port settings

  1. Open Device Manager.
  2. Double-click Ports (COM & LPT).
  3. Right-click the port for which you want to change settings, and then click Properties.
  4. On the Port Settings tab, make the desired changes.

Notes

  • XOX
  • XOX
  • Most hardware devices that use ports set the port speed automatically. The defaults for modem port speed are specified in Phone and Modem Options in Control Panel.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change PS/2 mouse settings

To change PS/2 mouse settings

  1. Open Device Manager.
  2. Double-click Mice and other pointing devices.
  3. Right-click PS/2 Compatible Mouse, and then click Properties.
  4. On the Advanced Settings tab, make the desired changes.

Notes

  • XOX
  • XOX
  • Some of the advanced settings for a PS/2 compatible mice are device dependent. Read the device manufacturer's instruction manual to determine which settings you can change.
  • For information on changing other mouse settings, see Related Topics.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change IDE controller settings

To change IDE controller settings

  1. Open Device Manager.
  2. Double-click IDE ATA/ATAPI controllers, right-click the Integrated Device Electronics (IDE) device for which you want to change advanced settings, and then click Properties.
  3. On the Advanced Settings tab, make the desired changes, and then click OK.

Notes

  • XOX
  • XOX
  • The Advanced Settings tab might not appear for all IDE controller devices.
  • Some of the advanced settings for IDE controllers are device dependent. Read the device manufacturer's instruction manual to determine which settings you can change.
  • You will not be able to change the setting in Device Type if the system has already detected an IDE device on an IDE channel. This prevents you from selecting None, which would disable the IDE device. If you want to disable the device, see Related Topics.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change region settings for DVD drives

To change region settings for DVD drives

  1. Open Device Manager.
  2. Double-click DVD/CD-ROM drives, right-click the DVD drive for which you want to change region settings, and then click Properties.

  3. On the DVD Region tab, make the desired changes.

    Because many software decoders require Direct Memory Access (DMA) in order to function, you should check the settings of your Integrated Device Electronics (IDE) ATA/ATAP controllers to ensure that DMA if available is selected in Transfer Mode. If applicable, you should also check this setting for the Secondary IDE Channel.

Notes

  • XOX
  • XOX
  • The DVD Region tab might not be available for all DVD drives.
  • To configure your DVD drive to play discs from other regions, select a geographic area from the list of regions. Typically, you would select the region in which you reside. It is not usually necessary to change the setting again.
  • The region settings can be changed only a limited number of times. When Changes remaining equals 1, and you select a new region, an alert will be displayed warning you that after this, you will only be able to play DVDs from that region. Be aware that you might not be able to change the region setting for some DVD hardware and software decoders.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change ISDN adapter settings

To change ISDN adapter settings

  1. Open Device Manager.
  2. Double-click Network adapters, right-click the Integrated Services Digital Network (ISDN) adapter card for which you want to change settings, and then click Properties.
  3. On the ISDN tab, in the Select the switch type or D-channel protocol list, click a switch type or a D-channel protocol, and then click Configure.
  4. Make the desired changes.

Notes

  • XOX
  • XOX
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.
  • Your telephone company or hardware manufacturer should provide the information you need to configure ISDN adapter settings.


Change power management settings for a device

To change power management settings for a device

  1. Open Device Manager.
  2. Double-click the type of device for which you want to change power management settings.
  3. Right-click the specific device you want, and then click Properties.
  4. On the Power Management tab, change the power management settings.

Notes

  • XOX
  • XOX
  • You can use the power management settings to specify that the operating system come out of a low-power state to service an event. For example, an incoming modem call will alert the system to service the call even if the system is in hibernation. You can also specify whether the operating system should turn off a particular device if it is not doing something, such as servicing a call.
  • The Power Management tab only appears for device drivers that support the power management standards, such as network adapters.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Enable or disable digital CD audio

To enable or disable digital CD audio

  1. Open Device Manager.
  2. Double-click DVD/CD-ROM drives, right-click the CD-ROM drive, and then click Properties.
  3. On the Properties tab, select or clear the Enable digital CD audio for this CD-ROM device check box.

    This check box enables some CD-ROM drives to digitally read the audio data from an audio CD, and send it to either a sound card or a pair of universal serial bus (USB) speakers. If you have USB speakers, you will be able to listen to CDs.

Notes

  • XOX
  • XOX
  • You might need to restart your computer after changing this setting.
  • Enabling this feature can improve audio quality because Windows reads the CD directly, bypassing the CD-ROM drive's digital-to-analog converters. Directly accessing the CD improves quality because it eliminates extraneous electrical interference that can leak through the shielding on the cable that connects the CD-ROM drive to the sound card.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Configure multimedia devices

To configure multimedia devices

  1. Open Device Manager.
  2. Double-click Sound, video and game controllers.
  3. Right-click the device that you want to configure, and then click Properties.
  4. On the Properties tab, locate the specific device, and then double-click it.
  5. Change the configurations for the device.

Notes

  • XOX
  • XOX
  • The Properties button is available only if you have earlier drivers on your computer. If it appears dimmed, use the Resources tab to configure the device.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Upgrade from a uniprocessor to a multiprocessor computer

To upgrade from a uniprocessor to a multiprocessor computer

  1. Open Device Manager.
  2. Double-click Computer.
  3. Right-click the computer model, and then click Properties.
  4. On the Driver tab, click Update Driver. This starts the Hardware Update Wizard.
  5. Click Install from a list or specific location, and then click Next.
  6. From the Please choose your search and installation options page, click Don't search. I will choose the driver to install, and then click Next.
  7. From the Select a Device Driver page, click the appropriate computer type from the Models list.
  8. Click Next, click Next again, and then click Finish.

Notes

  • XOX
  • XOX


Uninstall and reinstall devices

  • Uninstall a device
  • Reinstall a Plug and Play device
  • Reinstall a non-Plug and Play device
  • Roll back to the previous version of a driver
  • Undock a portable computer
  • Unplug or eject devices


Uninstall a device

To uninstall a device

  1. Open Device Manager.
  2. Double-click the type of device that you want to uninstall.
  3. Right-click the specific device you want to uninstall, and then click Uninstall.
  4. In the Confirm Device Removal dialog box, click OK.
  5. When you are done uninstalling the device, turn off your computer, and remove the device from the computer.

Notes

  • XOX
  • You do not usually use Device Manager to uninstall a Plug and Play device. Simply disconnect the Plug and Play device from your computer. You might have to restart your computer. Check the device manufacturer's instructions for more information.
  • Uninstalling a device does not remove the device drivers from your computer's hard disk.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions.


Reinstall a Plug and Play device

To reinstall a Plug and Play device

  1. Open Device Manager.
  2. Double-click the type of device that you want to reinstall.
  3. Right-click the specific device you want, and then click Uninstall.
  4. In the Confirm Device Removal dialog box, click OK.
  5. To reinstall the device, on the Action menu, click Scan for hardware changes.
  6. Follow the instructions on the screen.

Notes

  • XOX
  • XOX
  • You should reinstall a Plug and Play device only if it is working improperly or it has stopped working altogether. Before you reinstall a device, you should try to restart your computer and check the device to determine whether it is functioning properly. If it is not, try reinstalling the device.
  • You do not usually need to reinstall or uninstall a Plug and Play device. With Plug and Play devices, you can simply remove the device from your computer. To remove a device properly, you should follow the device manufacturer's installation/removal instructions.
  • Scan for hardware changes will not reinstall a Plug and Play device if it detects the device and its driver. You must uninstall a Plug and Play device before scanning for hardware changes.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Reinstall a non-Plug and Play device

To reinstall a non-Plug and Play device

  1. Click Start, point to Settings, click Control Panel, and then double-click Add Hardware to start the Add Hardware Wizard.
  2. Follow the instructions in the wizard.

Notes

  • XOX
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Roll back to the previous version of a driver

To roll back to the previous version of a driver

  1. Open Device Manager.
  2. Right-click the device for which you want to reinstall the previous version of the driver, then click Properties.
  3. Click the Drivers tab.
  4. Click Roll Back Driver.

Notes

  • XOX
  • XOX
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Undock a portable computer

To undock a portable computer

  1. Click Start, and then click Eject PC. A message appears saying that it is safe to undock your computer.
  2. Undock your portable computer, or, if you have a motorized docking station, your portable computer will undock automatically.

Warning

  • Removing a portable computer without using Eject PC is not supported and can result in data loss or even hardware damage. To avoid loss or damage, use Eject PC to undock your computer, or shut down the system and undock the portable computer while your system is off. Undocking a portable computer while it is in either standby mode or hibernate mode is also not supported as this is likely to result in data loss and system instability.

Notes

  • Eject PC appears on the Start menu only if a computer is Advanced Configuration and Power Interface (ACPI)-enabled. If Eject PC does not appear on the Start menu, your computer is not ACPI-enabled, might not support undocking, or you might lack the security privileges required to undock your portable computer. See your administrator for these privileges.
  • Some computers have an eject button on the docking station. Pressing the eject button button instead of following this procedure also undocks the laptop. Read the manufacturer's instructions for more information.
  • To work on a file or folder that is located on the network, ensure that you make the item available on your undocked laptop. For more information on using offline folders, see Offline Folders overview in Related Topics later in this topic.
  • For optimal laptop performance, you should change your power scheme using Power Options in Control Panel.
  • Programs located on a network will not be available on your laptop when you undock.


Unplug or eject devices

To unplug or eject devices

  1. In the notification area next to your task bar, double-click the Safe Removal icon. Safe Removal displays a list of Plug and Play devices currently attached to the system that support safe removal.

    If you do not see the Safe Removal icon, your device does not support safe removal, and you cannot unplug or eject your device using Safe Removal.

  2. In Safely Remove Hardware, select from the list of devices the device you want to unplug or eject, and then click Stop. This tells the system that you will be unplugging or ejecting the device.

  3. In Stop a Hardware device, click OK.

    A notification appears stating that it is now safe to unplug or eject the device.

Warning

  • Unplugging or ejecting a device that supports safe removal without first using the Safe Removal application to warn the system can cause data to be lost or your system to become unstable. For example, if a device is unplugged during a data transfer, data loss is likely. If you use Safe Removal, however, you can warn the system before you unplug or eject a device, preventing possible loss of data.

Note

  • For removable storage devices that can safely be removed while the system is on, the system disables write caching by default. It does this so the devices can be removed without loss of data. When write caching is disabled, however, the system will likely experience performance problems, so be sure to enable write caching when you have finished removing the device.


Update and view device drivers

  • Update or change a device driver
  • View information about a device driver
  • Start and stop non-Plug and Play drivers


Update or change a device driver

To update or change a device driver

  1. Open Device Manager.
  2. Double-click the type of device you want to update or change.
  3. Right-click the specific device driver you want to update or change, and then click Update Driver to open the Hardware Update Wizard. Follow the wizard instructions.

Notes

  • XOX
  • XOX
  • You must have the following permissions and privileges to install a driver. Administrators are granted these permissions:
    • The Load\Unload Drivers privilege.
    • The permissions needed to copy files to the system32\drivers directory.
    • The permissions needed to write settings to the registry.

    Being logged on to your computer with these privileges can make your computer's security vulnerable. For more information on why you should not use administrator privileges unless absolutely necessary, see Related Topics.

  • When you are upgrading a driver or installing new hardware, Windows Update is automatically started. This allows you to search for the driver to download and install. Your computer must have access to the Internet to start Windows Update. For more information on Windows Update, see Related Topics.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


View information about a device driver

To view information about a device driver

  1. Open Device Manager.
  2. Double-click the type of device you want to view.
  3. Right-click the specific device you want, and then click Properties.
  4. On the Driver tab, click Driver Details.

Notes

  • XOX
  • To view information about hidden device drivers, on the View menu, click Show hidden devices. Double-click Non-Plug and Play Drivers, and then follow Steps 3 and 4 above. You must be an administrator or have administrator permissions to show hidden devices.
  • This information can also help you determine the file version of the device driver.
  • An icon appears next to device drivers that are digitally signed. For more information on digitally signed drivers, see Driver Signing for Windows in Related Topics.


Start and stop non-Plug and Play drivers

To start and stop non-Plug and Play drivers

  1. Open Device Manager.
  2. Click the View menu, and then click Show hidden devices.
  3. Double-click Non-Plug and Play Drivers, right-click a driver, and then click Properties.
  4. On the Driver tab, click Start or Stop to start or stop the driver protocol, and then click OK.

Caution

  • Improperly changing the startup type of a boot device or system device can cause the system to become unstable or to no longer boot, or cause the device to stop working altogether. You should fully understand the instructions before changing this setting.
  • You should also use caution when starting or stopping a non-system device. Starting or stopping such a device incorrectly can cause it to stop working altogether.

Notes

  • XOX
  • XOX
  • If Start is unavailable, the driver is already loaded.
  • The Startup Type defaults to the type required by the driver when the driver is first installed. You can use the options described in the following table to change the default. Use caution when changing the startup type; be sure that you fully understand the instructions before you change this setting.
    • Type | Description
Automatic | Starts every time the system starts, after the boot and system devices start. Click this option for devices that are not critical to basic system operation.
Boot | Starts every time the system starts, before any other devices start. Click this option for critical devices that are essential to system operation.
Demand | Starts when the device is detected or it is needed for a specific event. Click this option for devices that are not critical to basic system operation or required in device detection.
System | Starts every time the system starts, after the boot devices start. Click this option for critical devices that are essential to system operation.


Concepts

This section provides general background information on:

  • Device Manager overview
  • Configuring devices
  • Uninstalling devices
  • Hardware profiles overview


Device Manager overview

Device Manager provides you with a graphical view of the hardware that is installed on your computer. You can use Device Manager to update the drivers (or software) for hardware devices, modify hardware settings, and troubleshoot problems.

Warning

  • Incorrectly altering your hardware configuration can damage your system. Be sure to read the appropriate instructions before making changes to your hardware configuration.

You can use Device Manager to:

  • Determine whether the hardware on your computer is working properly.
  • Change hardware configuration settings.
  • Identify the device drivers that are loaded for each device, and obtain information about each device driver.
  • Change advanced settings and properties for devices.
  • Install updated device drivers.
  • Disable, enable, and uninstall devices.
  • Roll back to the previous version of a driver.
  • Print a summary of the devices that are installed on your computer.

You will typically use Device Manager to check the status of your hardware and update device drivers on your computer. Advanced users who have a thorough understanding of computer hardware might also use Device Manager's diagnostic features to resolve device conflicts and change resource settings.

Warning

  • Changing resource settings improperly can disable your hardware and cause your computer to malfunction or be inoperable. Only users who have expert knowledge of computer hardware and hardware configurations should change resource settings.

Ordinarily, you will not need to use Device Manager to change resource settings because resources are allocated automatically by the system during hardware setup.

The following permissions and privileges are required in order to manage device drivers. Administrators are granted these permissions:

  • The Load\Unload Drivers privilege.
  • The permissions needed to copy files to the system32\drivers directory.
  • The permissions needed to write settings to the registry.
Being logged on to your computer with these privileges can make your computer's security vulnerable. For more information on why you should not use administrator privileges unless absolutely necessary, see Why you should not run your computer as an administrator.

You can use Device Manager to manage devices only on a local computer. On a remote computer, Device Manager will work only in read-only mode.


Uninstalling devices

You can usually uninstall a Plug and Play device by disconnecting or removing the device. Some devices might require that you turn off the computer first. To ensure that you do this properly, consult the device manufacturer's installation/removal instructions.

Uninstalling a non-Plug and Play device typically involves two steps:

  • Using Device Manager to uninstall the device.
  • Removing the device from your computer.

You use Device Manager to notify the system that you want to uninstall a non-Plug and Play device. After you notify the system that you are uninstalling a device, you must physically disconnect or remove the device from your computer. For example, if the device is connected to a port on the outside of your computer, you would shut down your computer, disconnect the device from the port, and then unplug the power cord for the device.

Instead of uninstalling a device that you might attach again, like a modem, you can disable a Plug and Play device. When you disable a device, the device stays physically connected to your computer, but Windows updates the system registry so that the device drivers for the device you have disabled are no longer loaded when you start your computer. The drivers are available again when you enable the device. Disabling devices is useful if you want to have more than one hardware configuration for your computer, or if you have a portable computer that you use at a docking station.

For instructions on how to uninstall, reinstall, and roll back devices, see Uninstall and reinstall devices.

For background information on hardware and instructions for installing devices, see Hardware overview and Installing devices overview.